#### D.5.2.47 chernCharPoly

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chernCharPoly(r, ch, t); r polynomial, ch list of polynomials, t polynomial

Return:
  polynomial

Purpose:
  computes the polynomial in t corresponding to the Chern character

Note:

Example:

    LIB "chern.lib";
    ring h=0, (r, ch(1..5), t), ds;
    list l=ch(1..5);
    // get the polynomial r + ch(1)*t + ch(2)*t^2 + ... + ch(5)*t^5
    print( chernCharPoly(r, l, t) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.